    
{if $viewButtons && $currentcycle != 'One Time' && $currentcycle != 'Free Account'}
    <style>
        .modal {
            text-align: center;
            padding: 0!important;
        }
        .modal:before {
            content: '';
            display: inline-block;
            height: 100%;
            vertical-align: middle;
            margin-right: -4px;
        }
        .modal-dialog {
            display: inline-block;
            text-align: left;
            vertical-align: middle;
        }
    </style>
    
    <div class='product-details clearfix'>
        <div class="row">
            <input type="hidden" id="hostingNextduedate" value="{$hosting->nextduedate}">
            <div class="col-md-12 text-center">
                {if $allow_upfront_renew == 'on'}
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#allowUpfrontRenew">{$MGLANG->T('renewfor')} {$MGLANG->T($currentcycle)}</button>
                {/if}
                {if $change_autorenewal == 'on'}
                    <form style="margin: 0 10px 5px 10px; display: inline-flex;" id="autorenewalform" action="clientarea.php?action=productdetails&id={$id}&mg-page=HostingActions&mg-action=autorenew" method="post">
                        <div>
                            <input type="hidden" id="turn_autorenewal_value" name="turn_autorenewal" value="{if $renew == 1}on{else}off{/if}" />
                            <button type="button" id="turn_autorenewal_button_open_module" onclick="autoRenewalSubmit()" style="width: 100% !important" id="autorenewal"  class="btn {if $renew == 0}btn-success{else}btn-danger{/if}" >{if $renew == 1}{$MGLANG->T('turnautorenewoff')}{else}{$MGLANG->T('turnautorenewon')}{/if}</button>
                        </div>
                    </form>
                {/if}
                {if $change_billing_cycle == 'on' && $bilingCycle}
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#changeBillingCycle">{$MGLANG->T("changeBillingCycleModal")}</button>
                {/if}
            </div>
        </div>
        
        
        {if $error}<div style="color:#F00;font-weight:bold">{$error}</div>{/if}
        {if $success}<div style="color:#46A546;font-weight:bold">{$success}</div>{/if}
    </div>
        
    <div class="modal fade" id="changeBillingCycle" role="dialog">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{$MGLANG->T("changeBillingCycleModal")}</h4>
                </div>
                <div class="modal-body" id="layers">
                    <form class="form-horizontal" id="billing_cycle_uppay" action="clientarea.php?action=productdetails&id={$id}&m=HostingRenewals&mg-page=HostingActions&mg-action=chooseBillingCycle" method="post">
                        <div class="form-group">
                            <div class="col-sm-12">
                                <select id="change_billing" class="form-control" name="change_billing_cycle">
                                    <option dname="" dprice="0" selected>{$MGLANG->T('choose_biling_cycle')}</option>
                                    {foreach from=$bilingCycle key=cycle item=name}
                                        {if $name->price < 0}
                                            {assign var="name.price" value="0"}
                                        {/if}
                                        <option class='changePrice' value="{$cycle}" ddifferencepercentage="{$name.differencepercentage}" ddiscount="{$name.discount}" dname="{$name.name}" dprice="{$name.price}" dmouth="{$name.mouth}" >
                                            {formatCurrency($name.original ,$currency['id'])} {$MGLANG->absoluteT($name.name)} 
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                        {if $domain_renewal == 'on' && $domain->id && $domain->nextduedate != '0000-00-00'}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('domain')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody id="domain-change-billing-cycle">
                                            <tr id="domain_{$domain->id}" domainid="{$domain->id}">
                                                <td><input dexpirydate="{$domain->nextduedate}" dmouth="{$domain.registrationperiod}" dprice='{$domain->recurringamount}' class='changePriceDomain' type="checkbox" name='domain[{$domain->id}]' value='{$domain->id}' {if $force_renew == "on"}onclick="return false;" readonly="readonly" checked{/if}></td>
                                                <td>{$domain->domain}</td>
                                                <td>{formatCurrency($domain->recurringamount ,$currency['id'])}</td>
                                                <td>{$domain->registrationperiod} {if $domain->registrationperiod > 1}{$MGLANG->T('years')}{else}{$MGLANG->T('year')}{/if}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                        {if $addons_renewal == 'on' && count($addons) > 0 && $showAddons}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('addonName')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody id="addons-change-billing-cycle">
                                            {foreach from=$addons key=addonKey item=addon}
                                                {if $addon->nextduedate != '0000-00-00' && $addon.billingcycle != 'onetime' && $addon.billingcycle != 'freeaccount'}
                                                    <tr id="addon_{$addon->id}" addonid="{$addon->id}" style="font-size: 12px;">
                                                        <td><input dkey="{$addonKey}" dexpirydate="{$addon->nextduedate}" dmouth="{$addon.billingcycle}" dprice='{$addon->recurring}' class='changePriceAddon' type="checkbox" name='addons[{$addon->addon->id}]' value='{$addon->addon->id}' {if $force_addon_renew == "on"} onclick="return false;" readonly="readonly" checked{/if}></td>
                                                        <td>{$addon->addon->name}</td>
                                                        <td>{formatCurrency($addon->recurring ,$currency['id'])}</td>
                                                        <td>{if $addon->billingcycle == 'semiannually'}{$MGLANG->absoluteT('Semi-Annually')}{else}{$MGLANG->absoluteT(ucfirst($addon->billingcycle))}{/if}</td>
                                                    </tr>
                                                {/if}
                                            {/foreach}  
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button"  style="float: left;" id='billing_cycle_button' class="btn btn-success float-left" data-dismiss="modal" onclick="changeBillingCycleSubimt()" disabled>{$MGLANG->T('confirm')}</button>
                    <button type="button"  style="float: left;" class="btn btn-danger float-left" data-dismiss="modal">{$MGLANG->T('cancel')}</button>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 48px;">{$MGLANG->T('subtotal')}: <span id="billingCycleSubtotal"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 35px;">{$MGLANG->T('tax')}: <span id="billingCycleTax"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 22px;">{$MGLANG->T('discount')}: <span id="billingCycleDiscount"></span></div>
                    <div class="center" style="font-size: 18px; position: absolute; right: 13px; bottom: 2px;"><b>{$MGLANG->T('total')}: <span id="billingCycleTotal"></span></b></div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="allowUpfrontRenew" role="dialog">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{$MGLANG->T('renewfor')} {$MGLANG->T($currentcycle)}</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="renew_uppay" action="clientarea.php?action=productdetails&id={$id}&m=HostingRenewals&mg-page=HostingActions&mg-action=renew" method="post">
                        <input type="hidden" name="cycle" value="{$currentcycleLoverCase}" />
                        <input type="hidden" id="renewPrice" name="price" value="{$renewHostingPrice}" />
                        <input type="hidden" id="renewMounth" name="mounth" value="{$renewHostingMounth}" />
                        {if $domain_renewal == 'on' && $domain->id && $domain->nextduedate != '0000-00-00'}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('domain')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td><input dexpirydate="{$domain->nextduedate}" dmouth="{$domain.registrationperiod}" dprice='{$domain->recurringamount}' class='changePriceDomainRenew' type="checkbox" name='domain[{$domain->id}]' value='{$domain->id}' {if $force_renew == "on"}onclick="return false;" readonly checked{/if}></td>
                                                <td>{$domain->domain}</td>
                                                <td>{formatCurrency($domain->recurringamount ,$currency['id'])}</td>
                                                <td>{$domain->registrationperiod} {if $domain->registrationperiod > 1}{$MGLANG->T('years')}{else}{$MGLANG->T('year')}{/if}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                        {if $addons_renewal == 'on'  && count($addons) > 0 && $showAddons}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('addonName')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {foreach from=$addons key=addonKey item=addon}
                                                {if $addon->nextduedate != '0000-00-00' && $addon.billingcycle != 'onetime' && $addon.billingcycle != 'freeaccount'}
                                                <tr>
                                                    <td><input dkey="{$addonKey}" dexpirydate="{$addon->nextduedate}" dmouth="{$addon.billingcycle}" dprice='{$addon->recurring}' class='changePriceAddonRenew' type="checkbox" name='addons[{$addon->addon->id}]' value='{$addon->addon->id}' {if $force_addon_renew == "on"}onclick="return false;" readonly checked{/if}></td>
                                                    <td>{$addon->addon->name}</td>
                                                    <td>{formatCurrency($addon->recurring ,$currency['id'])}</td>
                                                    <td>{if $addon->billingcycle == 'semiannually'}{$MGLANG->absoluteT('Semi-Annually')}{else}{$MGLANG->absoluteT(ucfirst($addon->billingcycle))}{/if}</td>
                                                </tr>
                                                {/if}
                                            {/foreach}  
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button"  style="float: left;" class="btn btn-success float-left" data-dismiss="modal" onclick="renewSubimt()">{$MGLANG->T('confirm')}</button>
                    <button type="button"  style="float: left;" class="btn btn-danger float-left" data-dismiss="modal">{$MGLANG->T('cancel')}</button>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 48px;">{$MGLANG->T('subtotal')}: <span id="renewSubtotal"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 35px;">{$MGLANG->T('tax')}: <span id="renewTax"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 22px;">{$MGLANG->T('discount')}: <span id="renewDiscount"></span></div>
                    <div class="center" style="font-size: 18px; position: absolute; right: 13px; bottom: 2px;"><b>{$MGLANG->T('total')}: <span id="renewTotal"></span></b></div>
                 </div>
            </div>
        </div>
    </div>
                    
    <div class="modal fade" id="allowAutorenewal" role="dialog">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{if $renew == 1}{$MGLANG->T('turnautorenewoff')}{else}{$MGLANG->T('turnautorenewon')}{/if}</h4>
                </div>
                <div class="modal-body">
                    <form class="form-horizontal" id="autorenew_uppay" action="clientarea.php?action=productdetails&id={$id}&m=HostingRenewals&mg-page=HostingActions&mg-action=renew" method="post">
                        <input type="hidden" name="cycle" value="{$currentcycleLoverCase}" />
                        <input type="hidden" id="autorenewPrice" name="price" value="{$renewHostingPrice}" />
                        <input type="hidden" id="autorenewMounth" name="mounth" value="{$renewHostingMounth}" />
                        {if $domain_renewal == 'on' && $domain->id && $domain->nextduedate != '0000-00-00'}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('domain')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td><input dexpirydate="{$domain->nextduedate}" dmouth="{$domain.registrationperiod}" dprice='{$domain->recurringamount}' class='changePriceDomainAutoRenew' type="checkbox" name='domain[{$domain->id}]' value='{$domain->id}' {if $force_renew == "on"}onclick="return false;" readonly checked{/if}></td>
                                                <td>{$domain->domain}</td>
                                                <td>{formatCurrency($domain->recurringamount ,$currency['id'])}</td>
                                                <td>{$domain->registrationperiod} {if $domain->registrationperiod > 1}{$MGLANG->T('years')}{else}{$MGLANG->T('year')}{/if}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                        {if $addons_renewal == 'on' && count($addons) > 0 && $showAddons}
                            <div class="form-group">
                                <div class="col-sm-12">
                                    <table class="table table-striped">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th style="width: 55%">{$MGLANG->T('addonName')}</th>
                                                <th style="width: 20%">{$MGLANG->T('price')}</th>
                                                <th style="width: 20%">{$MGLANG->T('recurring')}</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {foreach from=$addons key=addonKey item=addon}
                                                {if $addon->nextduedate != '0000-00-00' && $addon.billingcycle != 'onetime' && $addon.billingcycle != 'freeaccount'}
                                                    <tr>
                                                        <td><input dkey="{$addonKey}" dexpirydate="{$addon->nextduedate}" dmouth="{$addon.billingcycle}" dprice='{$addon->recurring}' class='changePriceAddonAutoRenew' type="checkbox" name='addons[{$addon->addon->id}]' value='{$addon->addon->id}' {if $force_addon_renew == "on"}onclick="return false;" readonly checked{/if}></td>
                                                        <td>{$addon->addon->name}</td>
                                                        <td>{formatCurrency($addon->recurring ,$currency['id'])}</td>
                                                        <td>{if $addon->billingcycle == 'semiannually'}{$MGLANG->absoluteT('Semi-Annually')}{else}{$MGLANG->absoluteT(ucfirst($addon->billingcycle))}{/if}</td>
                                                    </tr>
                                                {/if}
                                            {/foreach}  
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        {/if}
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button"  style="float: left;" class="btn btn-success float-left" data-dismiss="modal" onclick="jQuery('#autorenew_uppay').submit();">{$MGLANG->T('confirm')}</button>
                    <button type="button"  style="float: left;" class="btn btn-danger float-left" data-dismiss="modal">{$MGLANG->T('cancel')}</button>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 48px;">{$MGLANG->T('subtotal')}: <span id="autorenewSubtotal"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 35px;">{$MGLANG->T('tax')}: <span id="autorenewTax"></span></div>
                    <div class="center" style="font-size: 12px; position: absolute; right: 13px; bottom: 22px;">{$MGLANG->T('discount')}: <span id="autorenewDiscount"></span></div>
                    <div class="center" style="font-size: 18px; position: absolute; right: 13px; bottom: 2px;"><b>{$MGLANG->T('total')}: <span id="autorenewTotal"></span></b></div>
                 </div>
            </div>
        </div>
    </div>
                    
    <div class="modal fade" id="successAutorenewal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">{$MGLANG->T('isAutorenewal')}</h4>
                </div>
                <div class="modal-body">
                    <p>{$MGLANG->T('successAutorenewalMessage1')}</p>
                    <p>{$MGLANG->T('successAutorenewalMessage2')}</p>
                    <form class="form-horizontal" id="successAutorenewal_uppay" action="clientarea.php?action=productdetails&id={$id}&m=HostingRenewals&mg-page=HostingActions&mg-action=autorenewSuccess" method="post">
                        <input type="hidden" id='invoiceId' name="invoiceId" value="" />
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button"  style="float: left;" class="btn btn-success float-left" data-dismiss="modal" onclick="jQuery('#successAutorenewal_uppay').submit();">{$MGLANG->T('confirm')}</button>
                    <button type="button"  style="float: left;" class="btn btn-danger float-left" data-dismiss="modal">{$MGLANG->T('cancel')}</button>
                 </div>
            </div>
        </div>
    </div>
                        
    {literal}
        <script type="text/javascript">
            jQuery(document).ready(function() {
                
                $('#tabOverview').children().first().children().first().children().last().append("<h4>{/literal}{$MGLANG->T('autorenewal_label')}{literal}</h4> {/literal}{if $renew == 0}<span id='auto_renewal_config' class='label label-danger'>{$MGLANG->T('autorenewal_label_off')}</span>{else}<span id='auto_renewal_config' class='label label-success'>{$MGLANG->T('autorenewal_label_on')}</span>{/if}{literal}");
                
                //////////////////////////////////////////////////////////////////////////////
                ///////////////////////////// auto renewal ///////////////////////////////////
                function updateSubmitAutoRenewal() {
                    var frm = $('#renew_uppay');
                    jQuery.ajax({
                        type: frm.attr('method'),
                        url: frm.attr('action').replace('renew', 'updateRenew'),
                        data: frm.serialize(),
                        success: function (data) {
                            updateViewFullPriceAutoRenew(data.data);
                        },
                        error: function (data) {
                            console.log('An error occurred.');
                            console.log(data);
                        }
                    });
                };
                
                $('.changePriceAddonAutoRenew').change(function(e) {
                    updateSubmitAutoRenewal();
                });
                
                $('.changePriceDomainAutoRenew').change(function(e) {
                    updateSubmitAutoRenewal();
                });
                
                function updateViewFullPriceAutoRenew(data) {
                    
                    $("#autorenewTax").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.tax * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#autorenewSubtotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.subtotal * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#autorenewDiscount").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.discount * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#autorenewTotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.total * 100) / 100).toFixed(2)  + " {/literal}{$hrCurrencySuffix}{literal}");
                };
                
                ///////////////////////////////////////////////////////////////////////////////
                //////////////////////////// change biling cycle //////////////////////////////
                function updateSubmitChangeBillingCycle() {
                    var frm = $('#billing_cycle_uppay');
                    jQuery.ajax({
                        type: frm.attr('method'),
                        url: frm.attr('action').replace('chooseBillingCycle', 'updateChooseBillingCycle'),
                        data: frm.serialize(),
                        success: function (data) {
                            updateViewFullPrice(data.data);
                        },
                        error: function (data) {
                            console.log('An error occurred.');
                            console.log(data);
                        }
                    });
                };

                $("#change_billing").change(function(e) {
                    var selectedOption = jQuery(this).find('option:selected');
                    if (selectedOption.val() !== '') {
                        jQuery('#billing_cycle_button').prop('disabled',false);
                    } else {
                        jQuery('#billing_cycle_button').attr('disabled',true);
                    }
                    updateSubmitChangeBillingCycle();
                });
                
                $('.changePriceAddon').change(function(e) {
                    updateSubmitChangeBillingCycle();
                });
                
                $('.changePriceDomain').change(function(e) {
                    updateSubmitChangeBillingCycle();
                });
                
                function updateViewFullPrice(data) {                    
                    
                    $("#billingCycleTax").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.tax * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#billingCycleSubtotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.subtotal * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#billingCycleDiscount").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.discount * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#billingCycleTotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.total * 100) / 100).toFixed(2)  + " {/literal}{$hrCurrencySuffix}{literal}");
                };
                
                ///////////////////////////////////////////////////////////////////////////////
                //////////////////////////// renew service       //////////////////////////////
                function updateSubmitRenewService() {
                    var frm = $('#renew_uppay');
                    jQuery.ajax({
                        type: frm.attr('method'),
                        url: frm.attr('action').replace('renew', 'updateRenew'),
                        data: frm.serialize(),
                        success: function (data) {
                            updateViewFullPriceRenew(data.data);
                        },
                        error: function (data) {
                            console.log('An error occurred.');
                            console.log(data);
                        }
                    });
                };
                
                $('.changePriceAddonRenew').change(function(e) {
                    updateSubmitRenewService();
                });
                
                $('.changePriceDomainRenew').change(function(e) {
                    updateSubmitRenewService();
                });
                
                function updateViewFullPriceRenew(data) {
                    
                    $("#renewTax").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.tax * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#renewSubtotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.subtotal * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#renewDiscount").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.discount * 100) / 100).toFixed(2)   + " {/literal}{$hrCurrencySuffix}{literal}");
                    $("#renewTotal").text("{/literal}{$hrCurrencyPrefix}{literal}" + (Math.round(data.fullTotal.total * 100) / 100).toFixed(2)  + " {/literal}{$hrCurrencySuffix}{literal}");

                };
                
                ///////////////////////////////////////////////////////////////////////////////
                //////////////////////////// other function      //////////////////////////////
                function convertCycleToValue(cycle) {
                    if (cycle == 'Semi-Annually') {
                        cycle = 'semiannually';
                    }
                    cycle = cycle.toLowerCase();
                    switch(cycle) {
                        case 'monthly':
                            return 1;
                            break;
                        case 'quarterly':
                            return 3;
                            break;
                        case 'semiannually':
                            return 6;
                            break;
                        case 'annually':
                            return 12;
                            break;
                        case 'biennially':
                            return 24;
                            break;
                        case 'triennially':
                            return 36;
                            break;
                        default:
                            return 0;
                    } 
                };
                
                updateSubmitRenewService();
                updateSubmitAutoRenewal();
                updateSubmitChangeBillingCycle();
            });
            
            function renewSubimt() {
                jQuery('#renew_uppay').submit();
            };
            
            function changeBillingCycleSubimt() {
                var selectedOption = jQuery('#change_billing').find('option:selected');
                if (selectedOption.val() !== '') {
                    jQuery('#billing_cycle_uppay').submit();
                } else {
                    jQuery('#billing_cycle_uppay').prop('selectedIndex',0);
                }
            };
                
            function autoRenewalSubmit() {
                var frm = $('#autorenewalform');
                jQuery.ajax({
                    type: frm.attr('method'),
                    url: frm.attr('action'),
                    data: frm.serialize(),
                    success: function (data) {
                        data = data.data;
                        if (data.type == 'redirect') {
                            window.location.href = data.url;
                        } else {
                            if (data.context == 'successRenew') {
                                $('#turn_autorenewal_value').val('off');
                                $('#turn_autorenewal_button_open_module').html("{/literal}{$MGLANG->T('turnautorenewoff')}{literal}");
                                $('#turn_autorenewal_button_open_module').removeClass('btn-success').addClass('btn-danger');
                                $('#auto_renewal_config').html("{/literal}{$MGLANG->T('autorenewal_label_on')}{literal}");
                                $('#auto_renewal_config').removeClass('label-danger').addClass('label-success');
                                $("#invoiceId").val(data.invoiceId);
                                $("#successAutorenewal").modal();
                            } else {
                                $('.changePriceDomainAutoRenew').trigger('change');
                                $('.changePriceAddonAutoRenew').trigger('change');
                                $("#allowAutorenewal").modal();
                            }
                        }
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                        console.log(data);
                    }
                });
            };
        </script>
    {/literal}

{/if}
