
{**********************************************************************
* HostingRenewals product developed. (2017-09-18)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Sławomir Miśkowicz <slawomir@modulesgarden.com>
*}

<script type="text/x-template" id="mg-category-menu">
    <div class="block">
        <div class="block__sidebar">

            <div class="widget" name="mgCategoryMenu" id="{$elementId}">
                <div class="widget__header">
                    <div class="widget__top top">
                        <div class="top__title">
                            {if $rawObject->getIcon()}<i class="{$rawObject->getIcon()}"></i>{/if}
                            {$MGLANG->T('title')}
                        </div>
                        <div class="top__toolbar">
                            {$rawObject->insertButton('addCategoryButton')}
                            {$rawObject->insertHiddenSearchForm()}
                        </div>
                    </div>
                </div>
                {literal}
                <div class="widget__body">
                    <div class="preloader-container" v-show="menuLoading">
                        <div class="preloader"></div>
                    </div>                     
                    <ul class="nav nav--tabs nav--border-left" id="groupList">
                        <li v-for="(dataRow, index) in returnedData" :class="{ 'nav__item' : true, 'is-active': index === 0 }" v-on:click="reloadMenuContent(dataRow.elId)" :actionid="dataRow.id" :id="dataRow.elId">
                            <a href="javascript:;" class="nav__link">#{{ dataRow.id }} - {{ dataRow.title }}
                                <span v-if="dataRow.count >= 0" class="badge badge--outline">{{ dataRow.count }}</span>
                            </a>
                        </li>
                    </ul>    
                </div>
            </div>        
        </div>
        <div class="block__body" id="itemContentContainer">
            <component :is="contentContainerName"></component>
        </div>
        <div id="mg-templateContainer"></div>
    </div>
</script>                                    
                                    
<template id="mg-emptyBodyContainer">
    <div class="content-overlay">
        <div class="widget">
            <div class="widget__body">
                <div class="preloader-container" v-show="contentLoading">
                    <div class="preloader"></div>
                </div> 
            </div>
        </div>            
    </div>
</template>                                    
{/literal}
